Bug 971866 - Remove libcap-devel requirement from apache-commons-daemon-jsvc-eap6
Remove libcap-devel requirement from apache-commons-daemon-jsvc-eap6
Status: VERIFIED
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat6, tomcat7 (Show other bugs)
2.1.0
Unspecified Linux
unspecified Severity low
: ---
: 2.1.0
Assigned To: Weinan Li
Libor Fuka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 09:01 EDT by Michal Haško
Modified: 2015-03-01 23:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, JBoss Enterprise Web Server’s <filename>apache-commons-daemon-jsvc-eap6</filename> file required the missing <classname>libcap-devel</classname> package instead of the <classname>libcap</classname> package, which was available. This issue was fixed in JBoss Enterprise Web Server 2.1. The <classname>libcap-devel</classname> package is now available for the <filename>apache-commons-daemon-jsvc-eap6</filename> file as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Haško 2013-06-07 09:01:49 EDT
Description of problem:
apache-commons-daemon-jsvc-eap6 requires libcap-devel instead of libcap.

Version-Release number of selected component (if applicable):
apache-commons-daemon-jsvc-eap6-1.0.15-1.redhat_1.ep6

Steps to Reproduce:
rpm -qR apache-commons-daemon-jsvc-eap6 | grep libcap

Actual results:
libcap-devel

Expected results:
libcap

Additional info:
Please change the component if necessary. Tomcat seemed to be the most appropriate.
Comment 5 Jean-frederic Clere 2014-02-13 09:20:48 EST
It doesn't look fixed: http://pkgs.devel.redhat.com/cgit/rpms/apache-commons-daemon-jsvc-eap6/tree/apache-commons-daemon-jsvc-eap6.spec?h=ep-6-rhel-5

There is still Requires:       libcap-devel in the file.
Comment 7 Weinan Li 2014-02-21 04:53:38 EST
Permaine has helped to fix this issue and updated the builds.
Comment 8 Weinan Li 2014-05-30 04:56:31 EDT
Verified changes:

diff --git a/apache-commons-daemon-jsvc-eap6.spec b/apache-commons-daemon-jsvc-eap6.spec
index 3ba1939..6d95074 100644
--- a/apache-commons-daemon-jsvc-eap6.spec
+++ b/apache-commons-daemon-jsvc-eap6.spec
@@ -45,7 +45,7 @@

 Name:           apache-commons-daemon-jsvc-eap6
 Version:        1.0.15
-Release:        1.redhat_1%{?dist}
+Release:        2.redhat_2%{?dist}
 Epoch:          1
 Summary:        Defines API to support an alternative invocation mechanism
 License:        ASL 2.0
@@ -70,7 +70,7 @@ BuildRequires:  unzip
 %endif
 BuildRequires:  jpackage-utils >= 0:1.6

-Requires:       libcap-devel
+Requires:       libcap
 Requires:       apache-commons-daemon-eap6

 %description
@@ -158,6 +158,9 @@ rm -rf $RPM_BUILD_ROOT
 %endif

 %changelog
+* Thu Jul 04 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.15-2.redhat_2
+- Fix R:libcap (BZ #971866)
+
Comment 10 Michal Haško 2014-08-08 03:53:08 EDT
VERIFIED on 

apache-commons-daemon-jsvc-eap6-1.0.15-2.redhat_2.ep6.el5
apache-commons-daemon-jsvc-eap6-1.0.15-2.redhat_2.ep6.el6
apache-commons-daemon-jsvc-eap6-1.0.15-5.redhat_2.ep6.el7

Note You need to log in before you can comment on or make changes to this bug.